### Function

# Ide SnippetParser parse_one

#### Declaration

    IdeSnippet*
    ide_snippet_parser_parse_one (
      const char* data,
      gssize data_len,
      GError** error
    )

#### Description

No description available.

Available since: | 3.36

#### Parameters

`data` | `const char*`
| The data to parse.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`data_len` | `gssize`
| The length of data, or -1 for `NULL` terminated.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeSnippet`
| An `IdeSnippet`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.